diff -ru pgsql.orig/doc/src/sgml/libpq.sgml pgsql/doc/src/sgml/libpq.sgml
--- pgsql.orig/doc/src/sgml/libpq.sgml	2007-08-29 11:00:48.000000000 +0200
+++ pgsql/doc/src/sgml/libpq.sgml	2007-08-29 11:02:30.000000000 +0200
@@ -4479,6 +4479,19 @@
 ldap://ldap.mycompany.com/dc=mycompany,dc=com?uniqueMember?one?(cn=mydatabase)
 </synopsis>
 </para>
+
+<para>
+You can also mix regular service file entries with LDAP lookups.
+A complete example for a stanza in <filename>pg_service.conf</filename>
+would be:
+<synopsis>
+# only host and port are stored in LDAP, specify dbname and user explicitly
+[customerdb]
+dbname=customer
+user=appuser
+ldap://ldap.acme.com/cn=dbserver,cn=hosts?pgconnectinfo?base?(objectclass=*)
+</synopsis>
+<para>
 </sect1>
 
 
diff -ru pgsql.orig/doc/src/sgml/ref/psql-ref.sgml pgsql/doc/src/sgml/ref/psql-ref.sgml
--- pgsql.orig/doc/src/sgml/ref/psql-ref.sgml	2007-08-29 10:37:20.000000000 +0200
+++ pgsql/doc/src/sgml/ref/psql-ref.sgml	2007-08-29 10:46:07.000000000 +0200
@@ -567,6 +567,8 @@
 <programlisting>
 $ <userinput>psql "service=myservice sslmode=require"</userinput>
 </programlisting>
+     This way you can also use LDAP for connection parameter lookup as
+     described in <xref linkend="libpq-ldap">.
      See <xref linkend="libpq-connect"> for more information on all the
      available connection options.
     </para>
diff -ru pgsql.orig/src/interfaces/libpq/pg_service.conf.sample pgsql/src/interfaces/libpq/pg_service.conf.sample
--- pgsql.orig/src/interfaces/libpq/pg_service.conf.sample	2007-08-29 10:31:51.000000000 +0200
+++ pgsql/src/interfaces/libpq/pg_service.conf.sample	2007-08-29 11:06:05.000000000 +0200
@@ -4,7 +4,8 @@
 # A service is a set of named connection parameters.  You may specify
 # multiple services in this file.  Each starts with a service name in  
 # brackets.  Subsequent lines have connection configuration parameters of
-# the pattern  "param=value".  A sample configuration for postgres is 
+# the pattern "param=value" or LDAP URLs starting with "ldap://"
+# to look up such parameters.  A sample configuration for postgres is 
 # included in this file.  Lines beginning with '#' are comments.
 #
 # Copy this to your sysconf directory (typically /usr/local/pgsql/etc) and
